/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.action;

import java.awt.*;

import javax.swing.*;

import edu.stanford.smi.protege.util.*;

/**
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */

class MakeCopiesPanel extends JComponent {
    private static boolean _lastIsDeep = false;
    private static Integer _lastNumberOfCopies = new Integer(1);
    private JTextField _textField = new JTextField();
    private JCheckBox _checkBox = new JCheckBox("Deep Copy (copy all referenced instances)");

    MakeCopiesPanel() {
        setLayout(new GridLayout(0, 1));
        JPanel panel = new JPanel();
        panel.add(ComponentFactory.createLabel("Number of Copies"));
        panel.add(_textField);
        add(panel);
        add(_checkBox);
        _checkBox.setSelected(_lastIsDeep);
        _textField.setText(_lastNumberOfCopies.toString());
        _textField.setColumns(5);
    }

    public Integer getNumberOfCopies() {
        String text = _textField.getText();
        text = text.trim();
        Integer i = null;
        try {
            i = Integer.valueOf(text);
        } catch (NumberFormatException e) {
            // do nothing
        }
        if (i != null) {
            _lastNumberOfCopies = i;
        }
        return i;
    }

    public boolean getIsDeepCopy() {
        _lastIsDeep = _checkBox.isSelected();
        return _lastIsDeep;
    }
}
